Subject: Re: Why is cygwin.dll?
From: [email-masked] ("Grant Leslie")

15 Jan 1997 20:27:43 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: 7bit
Original-To: "GNU-WIN32" <[email-masked]>
X-MSMail-Priority: Normal
X-Priority: 3
X-Mailer: Microsoft Internet Mail 4.70.1160
Original-Sender: [email-masked]

> This is my assumption, do some simple math:
> 
> CYGWIN.DLL = 3,046,367 bytes (3 megs, roughly)
> 
> Sure, you could basically put that into any given .EXE
> 
> Now, figure on programs like grep.exe (91,648 bytes) having to include 
> that library in their .EXE...grep is now 3 megs, instead of 91k.

Umm not to be too picky, but, I believe when linking only those functions
which the program used would be included. meaning grep wouldn't be 3meg
larger. Although due to the way cygwin works I'm sure including any of it
would require alot of others to be included, mostly for file access I would
assume. I'm sure it would be nice to make simple programs that don't
require cygwin.dll I even think I read somewhere about Cygnus working out
how to do this. Though you would probably still end up with an exe much
larger than one that uses cygwin.dll.

-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".